Summary: X interface to the GDB, DBX and XDB debuggers
Name: ddd
Version: 3.1.5
Release: 1
Group: Development/Debuggers
Copyright: GPL
Url: http://www.cs.tu-bs.de/softech/ddd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The Data Display Debugger (DDD) is a popular graphical user interface for
command-line debuggers such as GDB, DBX, JDB, WDB, XDB, the Perl debugger,
and the Python debugger. Besides ``usual'' front-end features such as
viewing source texts, DDD has become famous through its interactive
graphical data display, where data structures are displayed as graphs. A
simple mouse click dereferences pointers or views structure contents,
updated each time the program stops. Using DDD, you can reason about your
application by watching its data, not just by viewing it execute lines of
source code.

Other DDD features include: debugging of programs written in Ada, C, C++,
Chill, Fortran, Java, Modula, Pascal, Perl, and Python; machine-level
debugging; hypertext source navigation and lookup; breakpoint, watchpoint,
backtrace, and history editors; array plots; undo/redo; preferences and
settings editors; program execution in terminal emulator window; debugging
on remote host; on-line manual; extensive help on the Motif user interface;
command-line interface with full editing, history, and completion
capabilities.

For more info on DDD see http://www.cs.tu-bs.de/softech/ddd/.

This package is fully dynamically linked against Motif 1.2 shared library
from lesstif-0.87.0.


%prep
%setup -q


%build
env CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
gzip doc/*.ps


%install
rm -rf				$RPM_BUILD_ROOT
mkdir -p			$RPM_BUILD_ROOT/usr/bin
mkdir -p			$RPM_BUILD_ROOT/usr/man/man1
install -m 755 -s ddd/ddd-*	$RPM_BUILD_ROOT/usr/bin/ddd
install -m 644 ddd/ddd.man	$RPM_BUILD_ROOT/usr/man/man1/ddd.1


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS COPYING COPYING.LIB CREDITS ChangeLog* INSTALL NEWS*
%doc NICKNAMES OPENBUGS PROBLEMS README TIPS TODO ddd/Ddd doc
/usr/bin/ddd
/usr/man/man1/ddd.1


%clean
rm -rf $RPM_BUILD_ROOT
